package com.gyee.runeconomy.controller.FiveLoss;

import com.alibaba.fastjson.JSONObject;
import com.gyee.runeconomy.dto.result.JsonResult;
import com.gyee.runeconomy.dto.result.ResultCode;
import com.gyee.runeconomy.service.fiveloss.FiveLossService;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 损失电量分析
 */
@RestController
@CrossOrigin
@RequestMapping("/fjjxb")
public class FiveLossInfoController {

    @Resource
    private FiveLossService fiveLossService;

    @GetMapping("/five/loss/cal")
    public JSONObject fiveLossCal(String ids){
        Map<String, Object> map = fiveLossService.fiveLossCalByZSGL3(ids);
        if (map.size() > 0)
            return JsonResult.successData(ResultCode.SUCCESS, map);

        return JsonResult.error(ResultCode.ERROR_MODEL);
    }
}
