package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProBasicPowerstation;

import java.util.List;

/**
 * <p>
 * 场站表 服务类
 * </p>
 *
 * @author wang
 * @since 2022-11-22
 */
public interface IProBasicPowerstationService extends IService<ProBasicPowerstation> {

    /**
     * 获取场站信息列表
     *
     * @param regionId
     * @param companyId
     * @return
     */
    List<ProBasicPowerstation> getProBasicPowerstationlist(String regionId, String companyId, String staType);


}
